<?php

namespace App\Domains\Catalog\Enums;

enum GroupLayout: string
{
    case Paginated = 'paginated';
    case Simple = 'simple';
    case SimpleVertical = 'simple_vertical';
    case Carousel = 'carousel';
    case Single = 'single';

    /**
     * @return list<string>
     */
    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
